64 条评价
  • Only English/Chinese/Japanese are available.
    No simplified Chinese, and no romanization, phonetics or transliteration. The addon is not for non Asian who want to learn Asian languages.
    I would like more features please, and more European (or other) languages, like French, etc...

    You included in the description how to add more languages, but too time-consuming and complicated, please make it more user-friendly. I cannot find where the Service API option is in the option page, anyway, it should be more simple to add languages, please, fix this.
  • 建议添加一个“更改图标颜色”的设置。暗色主题下,这个扩展的图标就基本不可见了
  • 不管是界面还是易用性都很棒的一个扩展。
    反馈一下,谷歌源翻译似乎是无法使用了,其他两个源翻译准确度有待提升(日语)。
  • 希望能够增加鼠标悬浮翻译功能
  • 只支持52以上,根本无法下载,兼容性差,应该有兼容性适配
    因为许多特性和 api 火狐不再对旧版本做支持或者存在 bugs,使用到旧版接口的扩展是无法通过提交审核的,所以版本号自 2.0 之后主要面向火狐 Quantum 提供的新一代接口;

    火狐 52 之前的版本可以在历史版本中选择 0.4.2 版安装,不过因为国内翻译源停止服务大概只有 google cn 还可以继续使用(新版扩展存在同样的问题)。

    至于为什么最低限度是 52 版则是因为火狐从 48 开始启用新的接口,但直到目前的版本为止仍然存在问题和变化明显的更新,如果不打算彻底弃用旧版扩展推荐像我一样停留在 v56 或者选择 v53 长期支持版。
  • на хрена мне перевод на китайский?
    You can add Russian to this extension by DIY config:

    1. Open "about:addons" page and into "Option" page of this extension;
    2. Click "Service Source API" in left navigation panel;
    3. Select "Google" in top bar;
    4. Find "include" section of JSON config part;
    5. Add "ru" the Russian Lang code into array like others;
    6. Done.

    Step 4 that "include" section demo:
    "include": ["auto", "en", "zh-cn", "ja", "ko", "es", "de", "ru"]

    Or Remove "include" To Enable All Languages (Not Recommend).

    More other usable languages code here:
    https://github.com/wallenweel/weel-translate/blob/develop/src/api/languages.json
  • Excellent add on, thanks author
    Thank you for your review :D
  • 现在的ESR版本好像不能更改设置,点击开关没有任何效果,只能默认....
    测试了 cn 官网的 esr 客户端(v52.6.0),没有发现异常的地方,扩展当前最低支持版本为 v52,偶尔遇见过浏览器没有正常安装扩展而导致的小问题,可以试试卸载重新安装。

    注:因为火狐采用新的扩展接口,前期的版本存在一些实验特性,推荐将浏览器升级至 v54 之后的版本。
  • 现在用起来,很不错!
  • 如果能不用复制粘贴,直接全网翻译就更好了,不过这应该是对大陆最友好的翻译插件了。
  • 还可以
  • 给作者点赞
  • 这个插件非常好用,界面美观,速度也快。最近不知道怎么突然不能用了 ,显示unknownAPI 希望作者尽快修复,我真的非常喜欢,在此默默支持作者。
    可以在 工具栏面板 - 菜单 - 设置 - 重置扩展 解决。

    在错误编辑自定义 API 的时候会有这个情况,不过最新版对此做了处理,应该不会有这种情况了,也可能是火狐本地数据同步时异常,都可以用上面的方法重置扩展状态;
    建议使用中遇到的问题或者 Bug 都尽可能提交到项目仓库,方便问题的归档和追踪处理;

    感谢支持 ヾ(•ω•`)o
  • Very useful and Fast than others.
    Thanks for your comment~
  • 火狐浏览器里最好用的翻译插件,其他插件总是翻译不了,应该是网络的问题,这个应该是对大陆最友好的翻译插件了。
    其实挂代理也能用,嫌麻烦就写了这个扩展 (。_。),毕竟是自己人弄得,对大陆网络友好是自然的,不过多数的翻译源对免费扩展可不友好,所以且用且珍惜了 (ง •_•)ง